### Struct

# St Shadow

#### Description [src]

    struct StShadow {
      CoglColor color;
      gdouble xoffset;
      gdouble yoffset;
      gdouble blur;
      gdouble spread;
      gboolean inset;
    }

A type representing -st-shadow attributes

`StShadow` is a boxed type for storing attributes of the -st-shadow property, modelled liberally after the CSS3 box-shadow property. See http://www.css3.info/preview/box-shadow/.

###### Structure members

`color:` `CoglColor`

  Shadow’s color.

`xoffset:` `gdouble`

  Horizontal offset - positive values mean placement to the right, negative values placement to the left of the element.

`yoffset:` `gdouble`

  Vertical offset - positive values mean placement below, negative values placement above the element.

`blur:` `gdouble`

  Shadow’s blur radius - a value of 0.0 will result in a hard shadow.

`spread:` `gdouble`

  Shadow’s spread radius - grow the shadow without enlarging the blur.

`inset:` `gboolean`

  No description available.

#### Constructors

###### st_shadow_new

Creates a new `StShadow`.

#### Instance methods

###### st_shadow_equal

Check if two shadow objects are identical. Note that two shadows may compare non-identically if they differ only by floating point rounding errors.

###### st_shadow_get_box

Gets the box used to paint `shadow`, which will be partly outside of `actor_box`.

###### st_shadow_ref

Atomically increments the reference count of `shadow` by one.

###### st_shadow_unref

Atomically decrements the reference count of `shadow` by one. If the reference count drops to 0, all memory allocated by the `StShadow` is released.